import 'dart:convert';
import 'analytics/public.dart';
import 'src/native_bridge.dart';

class Analytics {
  static Future<bool> trackCustomEvent(
      String event, Map<String, String> properties) {
    Map<String, dynamic> eventData = {
      'eventName': event,
      'eventData': properties
    };
    return NativeBridge.sync(
            'Analytics.trackCustomEvent', jsonEncode(eventData))
        .then((result) => jsonDecode(result)['result'] == true);
  }

  static Future<bool> trackPurchaseEvent(PurchaseData purchaseData) {
    return NativeBridge.sync(
            'Analytics.trackPurchase', jsonEncode(purchaseData.toJSON()))
        .then((result) => jsonDecode(result)['result'] == true);
  }
}
