import '../common/codable.dart';

enum ProductType { item, subscription }

/// Describe PurchaseData object.
class PurchaseData extends Encodable {
  String productId;
  ProductType productType;
  String productTitle;
  double price;
  String priceCurrency;
  int purchaseDate;
  String purchaseId;

  PurchaseData(this.productId, this.productType, this.productTitle, this.price,
      this.priceCurrency, this.purchaseDate, this.purchaseId);

  Map<String, dynamic> toJSON() => {
        'price': price,
        'priceCurrency': priceCurrency,
        'productId': productId,
        'productTitle': productTitle,
        'productType': productType == ProductType.item ? 0 : 1,
        'purchaseDate': purchaseDate,
        'purchaseId': purchaseId,
      };

  @override
  String toString() {
    return 'PurchaseData{ '
        'productId: $productId,'
        'productType: $productType,'
        'productTitle: $productTitle,'
        'price: $price,'
        'priceCurrency: $priceCurrency,'
        'purchaseDate: $purchaseDate,'
        'purchaseId: $purchaseId'
        '}';
  }
}
