import '../usermanagement/user.dart';
import 'chatmessage.dart';

/// Describe Chat object.
class Chat {
  Chat.fromJSON(Map<String, dynamic> json)
      : id = json['id'],
        title = json['title'],
        avatarUrl = json['avatarUrl'],
        createdAt = json['createdAt'],
        updatedAt = json['updatedAt'],
        membersCount = json['membersCount'],
        lastMessage = json['lastMessage'] == null
            ? null
            : ChatMessage.fromJSON(json['lastMessage']),
        otherMember = User.fromJSON(json['otherMember']);

  String id;
  String title;
  String? avatarUrl;
  int createdAt;
  int updatedAt;
  int membersCount;
  ChatMessage? lastMessage;
  User otherMember;

  @override
  String toString() {
    return 'Chat{'
        'id: $id, '
        'title: $title,'
        'avatarUrl: $avatarUrl,'
        'createdAt: $createdAt,'
        'updatedAt: $updatedAt,'
        'membersCount: $membersCount,'
        'lastMessage: $lastMessage,'
        'otherMember: $otherMember'
        '}';
  }
}
