import '../common/media_attachment.dart';
import '../src/utils.dart';
import '../usermanagement/user.dart';

/// Describe ChatMessage object.
class ChatMessage {
  ChatMessage.fromJSON(Map<String, dynamic> json)
      : id = json['id'],
        text = json['text'],
        author = User.fromJSON(json['author']),
        attachments = Utils.createList(json['attachments'],
            (jsonMap) => MediaAttachment.fromJSON(jsonMap)),
        properties = Utils.createStringStringMap(json['properties']),
        sentAt = json['sentAt'];

  String id;
  String? text;
  User author;
  List<MediaAttachment> attachments;
  Map<String, String> properties;
  int sentAt;

  @override
  String toString() {
    var authorId = this.author.userId;
    return 'ChatMessage{'
        'id: $id, '
        'text: $text,'
        'author: $authorId,'
        'mediaAttachments: $attachments,'
        'properties: $properties,'
        'sentAt: $sentAt,'
        '}';
  }
}
