import 'communitiessettings.dart';
import 'membership.dart';

/// Describe Group object.
class Group {
  Group.fromJSON(Map<String, dynamic> json)
      : id = json['id'],
        title = json['title'],
        description = json['description'],
        avatarUrl = json['avatarUrl'],
        createdAt = json['createdAt'],
        updatedAt = json['updatedAt'],
        settings = CommunitiesSettings.fromJSON(json['settings']),
        followersCount = json['followersCount'],
        membersCount = json['membersCount'],
        isFollowedByMe = json['isFollowedByMe'] == true,
        membership = json['membership'] == null
            ? null
            : Membership.fromJSON(json['membership']),
        popularity =
            json['popularity'] == null ? 0 : json['popularity'].toDouble();

  String id;
  String? title;
  String? description;
  String? avatarUrl;
  int createdAt;
  int updatedAt;
  CommunitiesSettings settings;
  int followersCount;
  int membersCount;
  Membership? membership;
  bool isFollowedByMe;
  double popularity = 0;

  @override
  String toString() {
    return 'Group{'
        'id: $id, '
        'title: $title,'
        'description: $description,'
        'avatarUrl: $avatarUrl,'
        'createdAt: $createdAt,'
        'updatedAt: $updatedAt,'
        'settings: $settings,'
        'followersCount: $followersCount,'
        'membersCount: $membersCount,'
        'membership: $membership,'
        'isFollowedByMe: $isFollowedByMe,'
        'popularity: $popularity'
        '}';
  }
}
