import '../common/codable.dart';
import '../common/media_attachment.dart';
import 'communitiesaction.dart';

/// Describe GroupContent object.
class GroupContent extends Encodable {
  late String id;
  String? title;
  String? description;
  Map<String, String> properties = {};
  bool isPrivate = false;
  bool isDiscoverable = false;
  MediaAttachment? avatar;
  Map<int, int> permissions = {};

  Map<String, dynamic> toJSON() => {
        'avatar': avatar?.toJSON(),
        'description': description,
        'id': id,
        'isDiscoverable': isDiscoverable,
        'isPrivate': isPrivate,
        'permissions': permissions.map((key, value) =>
            MapEntry(CommunitiesAction.valueToName(key), value)),
        'properties': properties,
        'title': title,
      };
}
