import '../src/utils.dart';
import 'polloption.dart';
import 'uservotes.dart';

/// Describe Poll object.
class Poll {
  Poll.fromJSON(Map<String, dynamic> json)
      : allowMultipleVotes = json['allowMultipleVotes'],
        endDate = json['endDate'],
        totalVotes = json['totalVotes'],
        knownVoters = Utils.createList(
            json['knownVoters'], (jsonMap) => UserVotes.fromJSON(jsonMap)),
        options = Utils.createList(
            json['options'], (jsonMap) => PollOption.fromJSON(jsonMap));

  bool allowMultipleVotes;
  int? endDate;
  List<PollOption> options;
  int totalVotes;
  List<UserVotes> knownVoters;

  @override
  String toString() {
    return 'Poll{'
        'allowMultipleVotes: $allowMultipleVotes, '
        'endDate: $endDate,'
        'options: $options,'
        'totalVotes: $totalVotes,'
        'knownVoters: $knownVoters,'
        '}';
  }
}
