import '../common/media_attachment.dart';

/// Describe Poll Option object.
class PollOption {
  PollOption.fromJSON(Map<String, dynamic> json)
      : optionId = json['optionId'],
        text = json['text'],
        attachment = json['attachment'] == null
            ? null
            : MediaAttachment.fromJSON(json['attachment']),
        voteCount = json['voteCount'],
        isVotedByMe = json['isVotedByMe'];

  String optionId;
  String? text;
  MediaAttachment? attachment;
  int voteCount;
  bool isVotedByMe;

  @override
  String toString() {
    return 'PollOption{'
        'optionId: $optionId, '
        'text: $text,'
        'attachments: $attachment,'
        'voteCount: $voteCount,'
        'isVotedByMe: $isVotedByMe,'
        '}';
  }
}
