import '../../common/codable.dart';
import '../../common/public.dart';
import 'updategroupmembersquery.dart';

class AddGroupMembersQuery extends Encodable {
  late UpdateGroupMembersQuery internalQuery;

  AddGroupMembersQuery(UpdateGroupMembersQuery query) {
    this.internalQuery = query;
  }

  static AddGroupMembersQuery create(String groupId, UserIdList userIdList) {
    UpdateGroupMembersQuery query =
        UpdateGroupMembersQuery.create(groupId, userIdList);
    return AddGroupMembersQuery(query);
  }

  AddGroupMembersQuery withRole(int role) {
    this.internalQuery.role = role;
    return this;
  }

  AddGroupMembersQuery withMemberStatus(int memberStatus) {
    this.internalQuery.status = memberStatus;
    return this;
  }

  Map<String, dynamic> toJSON() {
    return internalQuery.toJSON();
  }
}
