import '../../common/codable.dart';
import '../../common/public.dart';
import '../../src/communitiesids.dart';
import '../pollstatus.dart';

class AnnouncementsQuery extends Encodable {
  late CommunitiesIds ids;
  int pollStatus = PollStatus.all;

  AnnouncementsQuery(CommunitiesIds ids) {
    this.ids = ids;
  }

  static AnnouncementsQuery forFeedOf(UserId id) {
    return AnnouncementsQuery(CommunitiesIds.user(id));
  }

  static AnnouncementsQuery inTopic(String id) {
    return AnnouncementsQuery(CommunitiesIds.topic(id));
  }

  static AnnouncementsQuery inGroup(String id) {
    return AnnouncementsQuery(CommunitiesIds.group(id));
  }

  static AnnouncementsQuery timeline() {
    return AnnouncementsQuery(CommunitiesIds.timeline());
  }

  AnnouncementsQuery withPollStatus(int status) {
    this.pollStatus = status;
    return this;
  }

  Map<String, dynamic> toJSON() =>
      {'ids': ids.toJSON(), 'pollStatus': pollStatus};
}
