import '../../common/codable.dart';
import 'chatmessagesquery.dart';

class ChatMessagesPagingQuery implements Encodable {
  late ChatMessagesQuery _query;

  /// Default limit
  static const int DefaultLimit = 50;

  /// Max. number or returned entries.
  int limit = DefaultLimit;

  /// Cursor for next page.
  String? nextMessagesCursor;

  /// Cursor for next page.
  String? previousMessagesCursor;

  ChatMessagesPagingQuery(ChatMessagesQuery query) {
    this._query = query;
  }

  Map<String, dynamic> toJSON() => {
        'limit': limit,
        'nextMessages': nextMessagesCursor,
        'previousMessages': previousMessagesCursor,
        'query': _query.toJSON(),
      };
}
