import '../../common/codable.dart';
import '../../common/public.dart';
import '../../src/communitiesids.dart';

class FollowersQuery extends Encodable {
  late CommunitiesIds ids;

  FollowersQuery(CommunitiesIds ids) {
    this.ids = ids;
  }

  static FollowersQuery ofTopic(String id) {
    return FollowersQuery(CommunitiesIds.topic(id));
  }

  static FollowersQuery ofGroup(String id) {
    return FollowersQuery(CommunitiesIds.group(id));
  }

  static FollowersQuery ofUser(UserId id) {
    return FollowersQuery(CommunitiesIds.user(id));
  }

  Map<String, dynamic> toJSON() => {
        'ids': ids.toJSON(),
      };
}
