import '../../common/codable.dart';
import '../../common/public.dart';
import '../public.dart';
import 'updategroupmembersquery.dart';

class JoinGroupQuery extends Encodable {
  late UpdateGroupMembersQuery internalQuery;

  JoinGroupQuery(UpdateGroupMembersQuery query) {
    this.internalQuery = query;
  }

  static JoinGroupQuery create(String groupId) {
    UpdateGroupMembersQuery query = UpdateGroupMembersQuery.create(groupId,
        UserIdList.create(['GETSOCIAL_CURRENT_USER_PLACEHOLDER_42_42']));
    query.role = Role.member;
    query.status = MemberStatus.approvalPending;
    return JoinGroupQuery(query);
  }

  JoinGroupQuery withInvitationToken(String invitationToken) {
    this.internalQuery.invitationToken = invitationToken;
    return this;
  }

  Map<String, dynamic> toJSON() {
    return internalQuery.toJSON();
  }
}
