import '../../common/codable.dart';
import '../../common/userid.dart';

class TopicsQuery extends Encodable {
  String? searchTerm;
  UserId? follower;
  bool trending = false;

  TopicsQuery(String? searchTerm) {
    this.searchTerm = searchTerm;
  }

  static TopicsQuery find(String searchTerm) {
    return TopicsQuery(searchTerm);
  }

  static TopicsQuery all() {
    return TopicsQuery(null);
  }

  TopicsQuery followedBy(UserId id) {
    this.follower = id;
    return this;
  }

  TopicsQuery onlyTrending(bool trending) {
    this.trending = trending;
    return this;
  }

  Map<String, dynamic> toJSON() => {
        'followerId': follower?.toJSON(),
        'searchTerm': searchTerm ?? '',
        'trending': trending,
      };
}
