import '../../common/codable.dart';
import '../../common/userid.dart';

class UsersQuery extends Encodable {
  String? searchTerm;
  UserId? follower;

  UsersQuery(String? searchTerm) {
    this.searchTerm = searchTerm;
  }

  static UsersQuery find(String searchTerm) {
    return UsersQuery(searchTerm);
  }

  static UsersQuery all() {
    return UsersQuery(null);
  }

  static UsersQuery followedBy(UserId id) {
    var query = UsersQuery(null);
    query.follower = id;
    return query;
  }

  Map<String, dynamic> toJSON() => {
        'followedBy': follower?.toJSON(),
        'query': searchTerm,
      };
}
