import '../../common/codable.dart';
import '../../src/communitiesids.dart';

class VotesQuery extends Encodable {
  late CommunitiesIds ids;
  String? pollOptionId;

  VotesQuery(CommunitiesIds ids) {
    this.ids = ids;
  }

  static VotesQuery forActivity(String id) {
    return VotesQuery(CommunitiesIds.activity(id));
  }

  VotesQuery filterByPollOptionId(String pollOptionId) {
    this.pollOptionId = pollOptionId;
    return this;
  }

  Map<String, dynamic> toJSON() =>
      {'ids': ids.toJSON(), 'pollOptionId': pollOptionId};
}
