import '../common/codable.dart';

/// NotificationCustomization object.
class NotificationCustomization extends Encodable {
  NotificationCustomization.fromJSON(Map<String, dynamic> json)
      : backgroundImageConfiguration = json['backgroundImage'],
        titleColor = json['titleColor'],
        textColor = json['textColor'];

  /// Background image.
  String? backgroundImageConfiguration;

  /// Title text color.
  String? titleColor;

  /// Text color.
  String? textColor;

  NotificationCustomization();

  Map<String, dynamic> toJSON() {
    return {
      'backgroundImage': backgroundImageConfiguration,
      'textColor': textColor,
      'titleColor': titleColor,
    };
  }

  @override
  String toString() {
    return 'NotificationCustomization{'
        'backgroundImageConfiguration: $backgroundImageConfiguration, '
        'titleColor: $titleColor, '
        'textColor: $textColor'
        '}';
  }
}
