import '../usermanagement/ban_info.dart';
import '../usermanagement/user.dart';

class PrivateUser extends User {
  final Map<String, String> privateProperties;
  final BanInfo? banInfo;

  PrivateUser.fromJSON(Map<String, dynamic> json)
      : privateProperties = Map<String, String>.from(json['privateProperties']),
        banInfo =
            json['banInfo'] == null ? null : BanInfo.fromJSON(json['banInfo']),
        super.fromJSON(json);

  @override
  String toString() {
    return 'PrivateUser{${super.toString()}, privateProperties: $privateProperties, banInfo: $banInfo}';
  }
}
