import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(TestUtils.readObjectToDecode('chatmessage.json'));
    var result = ChatMessage.fromJSON(obj);
    expect(result.id, 'messageid');
    expect(result.text, 'hello');
    expect(result.properties['messagekey'], 'messagevalue');
    expect(result.sentAt, 12345);

    var attachments = result.attachments;
    var attachment1 = attachments[0];
    expect(attachment1.imageUrl, 'imageurl');

    var attachment2 = attachments[1];
    expect(attachment2.imageUrl, 'imageurl2');

    var author = result.author;
    expect(author.userId, 'userid');
    expect(author.avatarUrl, 'avatarurl');
    expect(author.displayName, 'testuser');
    expect(author.identities['fb'], 'token');
    expect(author.publicProperties['publickey'], 'publicvalue');
    expect(author.verified, true);
  });
}
