import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj =
        jsonDecode(TestUtils.readObjectToDecode('communitiesentity.json'));
    var result = CommunitiesEntity.fromJSON(obj);
    expect(result.avatarUrl, 'avatarurl');
    expect(result.followersCount, 10);
    expect(result.id, 'sourceid');
    expect(result.isFollowedByMe, true);
    expect(result.title, 'sourcetitle');
    expect(result.type, CommunitiesEntityType.topic);
  });
}
