import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj =
        jsonDecode(TestUtils.readObjectToDecode('communitiessettings.json'));
    var result = CommunitiesSettings.fromJSON(obj);
    expect(result.allowedActions[CommunitiesAction.post], true);
    expect(result.isDiscoverable, true);
    expect(result.isPrivate, false);
    expect(result.properties['propKey'], 'propValue');
    expect(result.permissions[CommunitiesAction.react], Role.admin);
  });
}
