import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(TestUtils.readObjectToDecode('group.json'));
    var result = Group.fromJSON(obj);
    expect(result.avatarUrl, 'avatar');
    expect(result.id, 'groupid');
    expect(result.createdAt, 555);
    expect(result.followersCount, 50);
    expect(result.title, 'grouptitle');
    expect(result.isFollowedByMe, true);
    expect(result.membersCount, 20);
    expect(result.updatedAt, 777);

    var membership = result.membership;
    expect(membership?.role, Role.owner);
    expect(membership?.status, MemberStatus.member);
    expect(membership?.createdAt, 999);

    var settings = result.settings;
    expect(settings.allowedActions[CommunitiesAction.react], true);
    expect(settings.isDiscoverable, true);
    expect(settings.isPrivate, true);
    expect(settings.properties['groupKey'], 'groupValue');
    expect(settings.permissions[CommunitiesAction.post], Role.owner);
  });
}
