import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(TestUtils.readObjectToDecode('groupmember.json'));
    var result = GroupMember.fromJSON(obj);
    expect(result.userId, 'userid');
    expect(result.displayName, 'testuser');
    expect(result.avatarUrl, 'avatarurl');
    expect(result.identities['fb'], 'token');
    expect(result.publicProperties['publickey'], 'publicvalue');

    var membership = result.membership;
    expect(membership.role, Role.member);
    expect(membership.status, MemberStatus.invitationPending);
    expect(membership.createdAt, 123);
    expect(membership.invitationToken, 'token');
  });
}
