import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(TestUtils.readObjectToDecode('referraluser.json'));
    var result = ReferralUser.fromJSON(obj);
    expect(result.userId, 'userid');
    expect(result.displayName, 'testuser');
    expect(result.avatarUrl, 'avatarurl');
    expect(result.identities['fb'], 'token');
    expect(result.publicProperties['publickey'], 'publicvalue');
    expect(result.verified, false);
    expect(result.event, 'app_install');
    expect(result.eventData['event'], 'data');
    expect(result.eventDate, 456);
  });
}
