import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Decode', () {
    var obj = jsonDecode(TestUtils.readObjectToDecode('topic.json'));
    var result = Topic.fromJSON(obj);
    expect(result.createdAt, 123);
    expect(result.avatarUrl, 'avatarUrl');
    expect(result.title, 'title');
    expect(result.topicDescription, 'topicDescription');
    expect(result.followersCount, 10);
    expect(result.id, 'topicId');
    expect(result.isFollowedByMe, true);
    expect(result.updatedAt, 456);

    var settings = result.settings;
    expect(settings.allowedActions[CommunitiesAction.post], true);
    expect(settings.isDiscoverable, true);
    expect(settings.isPrivate, false);
    expect(settings.permissions[CommunitiesAction.react], Role.admin);
  });
}
