import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Text', () {
    var content = ChatMessageContent();
    content.text = 'hello';
    expect(
        jsonEncode(content.toJSON()),
        TestUtils.readEncodedObject(
            'chatmessagecontent', 'chatmessagecontent_text.json'));
  });

  test('Properties', () {
    var content = ChatMessageContent();
    content.properties['propkey'] = 'propvalue';
    expect(
        jsonEncode(content.toJSON()),
        TestUtils.readEncodedObject(
            'chatmessagecontent', 'chatmessagecontent_properties.json'));
  });

  test('Attachments', () {
    var content = ChatMessageContent();
    content.attachments.add(MediaAttachment.withImageUrl('image1'));
    content.attachments.add(MediaAttachment.withVideoUrl('video1'));
    expect(
        jsonEncode(content.toJSON()),
        TestUtils.readEncodedObject(
            'chatmessagecontent', 'chatmessagecontent_attachments.json'));
  });

  test('Complete', () {
    var content = ChatMessageContent();
    content.text = 'hello';
    content.properties['propkey'] = 'propvalue';
    content.attachments.add(MediaAttachment.withImageUrl('image1'));
    content.attachments.add(MediaAttachment.withVideoUrl('video1'));
    expect(
        jsonEncode(content.toJSON()),
        TestUtils.readEncodedObject(
            'chatmessagecontent', 'chatmessagecontent_complete.json'));
  });
}
