import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  var chatId = ChatId.create('hello');
  var query = ChatMessagesQuery.messagesInChat(chatId);

  test('ChatMessagesPagingQuery', () {
    var pagingQuery = ChatMessagesPagingQuery(query);
    pagingQuery.limit = 12;
    expect(
        jsonEncode(pagingQuery.toJSON()),
        TestUtils.readEncodedObject(
            'chatmessagespagingquery', 'chatmessagespagingquery.json'));
  });

  test('ChatMessagesPagingQuery_NextMessages', () {
    var pagingQuery = ChatMessagesPagingQuery(query);
    pagingQuery.nextMessagesCursor = 'givemenext';
    expect(
        jsonEncode(pagingQuery.toJSON()),
        TestUtils.readEncodedObject(
            'chatmessagespagingquery', 'chatmessagespagingquery_next.json'));
  });

  test('ChatMessagesPagingQuery_PreviousMessages', () {
    var pagingQuery = ChatMessagesPagingQuery(query);
    pagingQuery.previousMessagesCursor = 'giveprevious';
    expect(
        jsonEncode(pagingQuery.toJSON()),
        TestUtils.readEncodedObject('chatmessagespagingquery',
            'chatmessagespagingquery_previous.json'));
  });
}
