import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('OfTopic', () {
    var query = FollowersQuery.ofTopic('topicId');
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'followersquery', 'followersquery_oftopic.json'));
  });

  test('OfGroup', () {
    var query = FollowersQuery.ofGroup('groupId');
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'followersquery', 'followersquery_ofgroup.json'));
  });

  test('OfUser', () {
    var query = FollowersQuery.ofUser(UserId.create('userId'));
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'followersquery', 'followersquery_ofuser.json'));
  });
}
