import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Topics', () {
    var query = FollowQuery.topics(['topicId', 'topicId2']);
    expect(jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject('followquery', 'followquery_topics.json'));
  });

  test('Groups', () {
    var query = FollowQuery.groups(['groupId', 'groupId2']);
    expect(jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject('followquery', 'followquery_groups.json'));
  });

  test('Users', () {
    var query = FollowQuery.users(UserIdList.create(['userId', 'userId2']));
    expect(jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject('followquery', 'followquery_users.json'));
  });
}
