import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('All', () {
    var query = GroupsQuery.all();
    expect(jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject('groupsquery', 'groupsquery_all.json'));
  });

  test('Find', () {
    var query = GroupsQuery.find('best');
    expect(jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject('groupsquery', 'groupsquery_find.json'));
  });

  test('FollowedBy', () {
    var query = GroupsQuery.all();
    query = query.followedBy(UserId.create('test'));
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'groupsquery', 'groupsquery_followedby.json'));
  });

  // TODO: put back when trending is ready
  // test('OnlyTrending', () {
  //   var query = GroupsQuery.all();
  //   expect(jsonEncode(query.toJSON()), TestUtils.readEncodedObject('groupsquery', 'groupsquery_followedby.json'));
  // });
}
