import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Test', () {
    var query = MembersQuery.ofGroup('bestgroup');
    expect(jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject('membersquery', 'membersquery.json'));
  });

  test('WithRole', () {
    var query = MembersQuery.ofGroup('bestgroup');
    query.role = Role.admin;
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'membersquery', 'membersquery_with_role.json'));
  });

  test('WithStatus', () {
    var query = MembersQuery.ofGroup('bestgroup');
    query.status = MemberStatus.member;
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'membersquery', 'membersquery_with_status.json'));
  });

  test('Complete', () {
    var query = MembersQuery.ofGroup('bestgroup');
    query.role = Role.admin;
    query.status = MemberStatus.member;
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'membersquery', 'membersquery_complete.json'));
  });
}
