import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('AllStatus', () {
    var query = NotificationsQuery.withAllStatuses();
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'notificationsquery', 'notificationsquery.json'));
  });

  test('SingleStatus', () {
    var query = NotificationsQuery.withStatuses(['read', 'unread']);
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'notificationsquery', 'notificationsquery_with_status.json'));
  });

  test('Actions', () {
    var query = NotificationsQuery.withAllStatuses();
    query.actions = ['action1', 'action2'];
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'notificationsquery', 'notificationsquery_with_actions.json'));
  });

  test('Types', () {
    var query = NotificationsQuery.withAllStatuses();
    query.types = ['sdk', 'comment'];
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'notificationsquery', 'notificationsquery_with_types.json'));
  });

  test('Complete', () {
    var query = NotificationsQuery.withAllStatuses();
    query.actions = ['action1', 'action2'];
    query.types = ['sdk', 'comment'];
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'notificationsquery', 'notificationsquery_complete.json'));
  });
}
