import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  PollOptionContent createPollOption() {
    var option = PollOptionContent();
    option.text = 'option1';
    return option;
  }

  test('Test', () {
    var content = PollContent();
    content.options = [createPollOption()];
    expect(jsonEncode(content.toJSON()),
        TestUtils.readEncodedObject('pollcontent', 'pollcontent.json'));
  });

  test('EndDate', () {
    var content = PollContent();
    content.options = [createPollOption()];
    content.endDate = -62135596800;
    expect(
        jsonEncode(content.toJSON()),
        TestUtils.readEncodedObject(
            'pollcontent', 'pollcontent_with_enddate.json'));
  });

  test('AllowMultipleVotes', () {
    var content = PollContent();
    content.options = [createPollOption()];
    content.allowMultipleVotes = true;
    expect(
        jsonEncode(content.toJSON()),
        TestUtils.readEncodedObject(
            'pollcontent', 'pollcontent_allowmultiplevotes.json'));
  });

  test('Complete', () {
    var content = PollContent();
    content.options = [createPollOption()];
    content.endDate = -62135596800;
    content.allowMultipleVotes = true;
    expect(
        jsonEncode(content.toJSON()),
        TestUtils.readEncodedObject(
            'pollcontent', 'pollcontent_complete.json'));
  });
}
