import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Text', () {
    var content = PollOptionContent();
    content.text = 'hello';
    expect(
        jsonEncode(content.toJSON()),
        TestUtils.readEncodedObject(
            'polloptioncontent', 'polloptioncontent_with_text.json'));
  });

  test('OptionId', () {
    var content = PollOptionContent();
    content.optionId = 'id1';
    content.text = 'hello';
    expect(
        jsonEncode(content.toJSON()),
        TestUtils.readEncodedObject(
            'polloptioncontent', 'polloptioncontent_with_optionid.json'));
  });

  test('Attachment', () {
    var content = PollOptionContent();
    content.attachment = MediaAttachment.withImageUrl('imageurl');
    expect(
        jsonEncode(content.toJSON()),
        TestUtils.readEncodedObject(
            'polloptioncontent', 'polloptioncontent_with_attachment.json'));
  });

  test('Complete', () {
    var content = PollOptionContent();
    content.optionId = 'id1';
    content.text = 'hello';
    content.attachment = MediaAttachment.withImageUrl('imageurl');
    expect(
        jsonEncode(content.toJSON()),
        TestUtils.readEncodedObject(
            'polloptioncontent', 'polloptioncontent_complete.json'));
  });
}
