import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Topic', () {
    var target = PostActivityTarget.topic('topic');
    expect(
        jsonEncode(target.toJSON()),
        TestUtils.readEncodedObject(
            'postactivitytarget', 'postactivitytarget_topic.json'));
  });

  test('Group', () {
    var target = PostActivityTarget.group('group');
    expect(
        jsonEncode(target.toJSON()),
        TestUtils.readEncodedObject(
            'postactivitytarget', 'postactivitytarget_group.json'));
  });

  test('Timeline', () {
    var target = PostActivityTarget.timeline();
    // test local value, Flutter SDK adds GETSOCIAL_CURRENT_USER_PLACEHOLDER_42_42 placeholder for current user
    expect(jsonEncode(target.toJSON()),
        '{"ids":{"ids":["GETSOCIAL_CURRENT_USER_PLACEHOLDER_42_42"],"type":4}}');
  });

  test('Comment', () {
    var target = PostActivityTarget.comment('activityid');
    expect(
        jsonEncode(target.toJSON()),
        TestUtils.readEncodedObject(
            'postactivitytarget', 'postactivitytarget_comment.json'));
  });
}
