import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('ReactionsQuery', () {
    var query = ReactionsQuery.forActivity('activityid');
    expect(jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject('reactionsquery', 'reactionsquery.json'));
  });

  test('ReactionQueryWithReaction', () {
    var query = ReactionsQuery.forActivity('activityid');
    query.reaction = 'hate';
    expect(
        jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject(
            'reactionsquery', 'reactionsquery_with_reaction.json'));
  });
}
