import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('Placeholders', () {
    var target = SendNotificationTarget();
    target.receiverPlaceholders.add('referrer');
    expect(
        jsonEncode(target.toJSON()),
        TestUtils.readEncodedObject('sendnotificationtarget',
            'sendnotificationtarget_placeholders.json'));
  });

  test('UserId', () {
    var target = SendNotificationTarget();
    target.userIdList = UserIdList.create(['userid1', 'userid2']);
    expect(
        jsonEncode(target.toJSON()),
        TestUtils.readEncodedObject(
            'sendnotificationtarget', 'sendnotificationtarget_userid.json'));
  });

  test('Complete', () {
    var target = SendNotificationTarget();
    target.userIdList = UserIdList.create(['userid1', 'userid2']);
    target.receiverPlaceholders.add('follower');
    expect(
        jsonEncode(target.toJSON()),
        TestUtils.readEncodedObject(
            'sendnotificationtarget', 'sendnotificationtarget_complete.json'));
  });
}
