import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('UserIdList', () {
    var userIdList = UserIdList.create(['bob', 'jay']);
    expect(jsonEncode(userIdList.toJSON()),
        TestUtils.readEncodedObject('useridlist', 'useridlist.json'));
  });

  test('UserIdListWithProvider', () {
    var userIdList = UserIdList.createWithProvider(['bob', 'jay'], 'aws');
    expect(
        jsonEncode(userIdList.toJSON()),
        TestUtils.readEncodedObject(
            'useridlist', 'useridlist_with_provider.json'));
  });
}
