import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('DisplayName', () {
    var update = UserUpdate();
    update.updateDisplayName('bob');
    expect(
        jsonEncode(update.toJSON()),
        TestUtils.readEncodedObject(
            'userupdate', 'userupdate_displayname.json'));
  });

  test('AvatarUrl', () {
    var update = UserUpdate();
    update.updateAvatarUrl('url');
    expect(jsonEncode(update.toJSON()),
        TestUtils.readEncodedObject('userupdate', 'userupdate_avatarurl.json'));
  });

  test('PublicProperty', () {
    var update = UserUpdate();
    update.setPublicProperty('publickey', 'publicvalue');
    expect(
        jsonEncode(update.toJSON()),
        TestUtils.readEncodedObject(
            'userupdate', 'userupdate_publicproperty.json'));
  });

  test('PrivateProperty', () {
    var update = UserUpdate();
    update.setPrivateProperty('privatekey', 'privatevalue');
    expect(
        jsonEncode(update.toJSON()),
        TestUtils.readEncodedObject(
            'userupdate', 'userupdate_privateproperty.json'));
  });

  test('Complete', () {
    var update = UserUpdate();
    update.updateDisplayName('bob');
    update.updateAvatarUrl('url');
    update.setPublicProperty('publickey', 'publicvalue');
    update.setPrivateProperty('privatekey', 'privatevalue');
    expect(jsonEncode(update.toJSON()),
        TestUtils.readEncodedObject('userupdate', 'userupdate_complete.json'));
  });
}
