import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:getsocial_flutter_sdk/getsocial_flutter_sdk.dart';

import '../test_utils.dart';

void main() {
  test('VotesQuery', () {
    var query = VotesQuery.forActivity('activityid');
    expect(jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject('votesquery', 'votesquery.json'));
  });

  test('VotesQueryWithVote', () {
    var query = VotesQuery.forActivity('activityid');
    query.pollOptionId = 'hate';
    expect(jsonEncode(query.toJSON()),
        TestUtils.readEncodedObject('votesquery', 'votesquery_with_vote.json'));
  });
}
